/// <reference types="react" />
import React from 'react';
import { PopoverProps } from 'antd/lib/popover';
interface WantedPublishPopoverProp {
    popoverConfig?: PopoverProps;
    handleConfirm?: Function;
}
interface WantedPublishPopoverState {
    visible: boolean;
    current_wanted: number | string | null;
}
declare class WantedPublishPopover extends React.Component<WantedPublishPopoverProp, WantedPublishPopoverState> {
    constructor(props: WantedPublishPopoverProp);
    handleClose: () => void;
    clearCurrentWanted: (cb: Function) => void;
    handleUpdateCurrentWanted: (value: string | number | null, afterUpdate?: Function | undefined) => void;
    renderInitView(): JSX.Element;
    render(): JSX.Element;
}
export { WantedPublishPopover as default, WantedPublishPopover, WantedPublishPopoverProp, WantedPublishPopoverState };
